import java.time.ZonedDateTime;
import java.util.Date;

public class Match {
    public final Date time;
    public final String group;
    public final Team team1;
    public final Team team2;
    public final Stadium stadium;

    public Match(Date time, String group, Team team1, Team team2,
                 Stadium stadium) {
        this.time = time;
        this.group = group;
        this.team1 = team1;
        this.team2 = team2;
        this.stadium = stadium;
    }

    @Override
    public boolean equals(Object o) {
        if (!(o instanceof Match)) {
            return false;
        }
        Match m = (Match) o;
        return time.equals(m.time) && group.equals(m.group) && team1.equals(
                m.team1) && team2.equals(m.team2) && stadium.equals(m.stadium);
    }

    @Override
    public String toString() {
        return String.format("Match[time=%s, group=%s, team1=%s, team2=%s, stadium=%s]", time, group, team1, team2, stadium);
    }
}
