import java.io.IOException;
import java.net.*;
import java.util.HashMap;

public class Server {
    public ServerSocket serverSocket;
    public final String rootPath;
    private static HashMap<String,Integer> requestedRes = new HashMap<String,Integer>();
    private static final String DELIMITER = "|";

    public Server(int port, String rootPath) throws IOException {
        serverSocket = new ServerSocket(port);
        this.rootPath = rootPath;
    }

    public void start() throws IOException {
        while (true) {
            Socket socket = serverSocket.accept();
            HttpHandler connection = new HttpHandler(socket, rootPath);

            Thread request = new Thread(connection);
            request.start();
        }
    }

    public static void printResult(String res, int port2, String ipAddress) {
        ipAddress = ipAddress.split(":")[0].replace("/", "");
        if(requestedRes.get(res) == null) {
            requestedRes.put(res, 1);
        } else {
            requestedRes.put(res, requestedRes.get(res) + 1);
        }
        System.out.println(res + DELIMITER+ ipAddress + DELIMITER + port2 +DELIMITER + requestedRes.get(res));
    }
}
